Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.evt
Class NewProcessInstanceEvent

    java.lang.Object
      org.apache.ode.bpel.evt.BpelEvent
          org.apache.ode.bpel.evt.ProcessEvent
              org.apache.ode.bpel.evt.ProcessInstanceEvent
                  org.apache.ode.bpel.evt.ProcessMessageExchangeEvent
                      org.apache.ode.bpel.evt.NewProcessInstanceEvent

All Implemented Interfaces:
  java.io.Serializable

    public class NewProcessInstanceEvent

extends ProcessMessageExchangeEvent

Event indicating the creation of a new process instance as part of an uncorrelated inbound message to create instance operation.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent
`BpelEvent.TYPE`

Field Summary

Fields inherited from class org.apache.ode.bpel.evt.ProcessMessageExchangeEvent
`PARTNER_FAILURE, PARTNER_FAULT, PARTNER_INPUT, PARTNER_OUTPUT, PROCESS_FAULT, PROCESS_INPUT, PROCESS_OUTPUT`

Fields inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventContext`

Constructor Summary
`NewProcessInstanceEvent()`
`NewProcessInstanceEvent(javax.xml.namespace.QName processName, javax.xml.namespace.QName processId, java.lang.Long processInstanceId)`

Method Summary
`java.lang.Long` | `getRootScopeId()`
`int` | `getScopeDeclarationId()`
`BpelEvent.TYPE` | `getType()`
`void` | `setRootScopeId(java.lang.Long rootScopeId)`
`void` | `setScopeDeclarationId(int scopeDeclarationId)`

Methods inherited from class org.apache.ode.bpel.evt.ProcessMessageExchangeEvent
`getAspect, getMessageExchangeId, getOperation, getPortType, setAspect, setMexId, setOperation, setPortType`

Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent
`getProcessInstanceId, setProcessInstanceId`

Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent
`getProcessId, getProcessName, setProcessId, setProcessName`

Methods inherited from class org.apache.ode.bpel.evt.BpelEvent
`eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NewProcessInstanceEvent

    public NewProcessInstanceEvent()

### NewProcessInstanceEvent

    public NewProcessInstanceEvent(javax.xml.namespace.QName processName,
                                   javax.xml.namespace.QName processId,
                                   java.lang.Long processInstanceId)

Method Detail

### getRootScopeId

    public java.lang.Long getRootScopeId()

### setRootScopeId

    public void setRootScopeId(java.lang.Long rootScopeId)

### getScopeDeclarationId

    public int getScopeDeclarationId()

### setScopeDeclarationId

    public void setScopeDeclarationId(int scopeDeclarationId)

### getType

    public BpelEvent.TYPE getType()

  Overrides:
    `getType` in class `ProcessInstanceEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD